/*
 * bnpairings/src/fp2.h version 20080222
 * Peter Schwabe
 * Public domain
*/

#ifndef FP2_H
#define FP2_H

#include <gmp.h>
#include "fp.h"

#define ALPHA (-2) // constant coefficient in the irreducible polynomial x^2 - alpha, used to construct F_{p^2}

void fp2_init(void);
void fp2_clear(void);

#endif // ifdef FP2_H
